Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
polkit-0.115-r4 failed to build
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
Tentro
n00b
n00b


Joined: 24 Jan 2020
Posts: 10

PostPosted: Wed Apr 15, 2020 1:44 am    Post subject: polkit-0.115-r4 failed to build Reply with quote

So I'm using the stable Gentoo Linux profile provided by the install Gentoo page, and after installing elogind it tries to merge polkit with it, which could be fixed by a simple -policykit but that's running away from the problem and I believe it's necessary for KDE. I'm trying to run a full Wayland KDE+SDDM DE on Gentoo and I don't use systemd so I use elogind and polkit I believe is required. When I try to merge polkit (Both with -introspection and without -introspection on both GCC and Clang) I get a linker error which I just don't know how to solve and it's pretty integral to a KDE install, which is a barrier. Here's the log:
https://easyupload.io/z06afb
I absolutely have no clue how to paste logs onto the forum so I just uploaded it for a quick and easy download.
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2355
Location: Frankfurt, Germany

PostPosted: Wed Apr 15, 2020 2:49 am    Post subject: Reply with quote

Tentro, I'm sorry - I can't download your file.

Please use wgetpaste to post large text files like your build log. It's easy:
  1. read the Wiki article: https://wiki.gentoo.org/wiki/Wgetpaste

  2. install wgetpaste
    Code:
    emerge wgetpaste

  3. upload your text file:
    Code:
    wgetpaste build.log

  4. post the URL that was returned by wgetpaste.

Please post the output of the command below as well:
Code:
emerge --info
Back to top
View user's profile Send private message
Tentro
n00b
n00b


Joined: 24 Jan 2020
Posts: 10

PostPosted: Wed Apr 15, 2020 3:13 am    Post subject: Reply with quote

http://dpaste.com/01KNSDT

http://dpaste.com/35Q9WB0

These were the links given to me, first link is the build log and the second link is
Code:
emerge --info
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2355
Location: Frankfurt, Germany

PostPosted: Thu Apr 16, 2020 1:11 am    Post subject: Reply with quote

Thanks for the log file and the output of 'emerge --info'!

The error message is:
Code:
libtool: link: clang++ -march=native -O2 -pipe -Wl,-O1 -o .libs/polkitd polkitd-polkitd.o -Wl,--export-dynamic -pthread  -Wl,--as-needed ../../src/polkit/.libs/libpolkit-gobject-1.so -L/lib64 ./.libs/libpolkit-backend-1.a -lpthread /var/tmp/portage/sys-auth/polkit-0.115-r4/work/polkit-0.115/src/polkit/.libs/libpolkit-gobject-1.so -lgmodule-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lelogind -lexpat -lmozjs-60 -pthread

/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./.libs/libpolkit-backend-1.a(libpolkit_backend_1_la-polkitbackendjsauthority.o):

in function `JS::StructGCPolicy<JS::GCVector<JS::Value, 8ul, js::TempAllocPolicy> >::trace(JSTracer*, JS::GCVector<JS::Value, 8ul, js::TempAllocPolicy>*, char const*)':

polkitbackendjsauthority.cpp:

(.text._ZN2JS14StructGCPolicyINS_8GCVectorINS_5ValueELm8EN2js15TempAllocPolicyEEEE5traceEP8JSTracerPS5_PKc[_ZN2JS14
StructGCPolicyINS_8GCVectorINS_5ValueELm8EN2js15TempAllocPolicyEEEE5traceEP8JSTracerPS5_PKc]+0x3a):

undefined reference to `void js::UnsafeTraceManuallyBarrieredEdge<JS::Value>(JSTracer*, JS::Value*, char const*)'

clang-10: error: linker command failed with exit code 1 (use -v to see invocation)

This seems to be the same as: https://forums.gentoo.org/viewtopic-p-8427954.html.

@Tentro: please look at https://bugs.gentoo.org/681656, as fedeliallalinea suggested in the other thread.
Back to top
View user's profile Send private message
Tentro
n00b
n00b


Joined: 24 Jan 2020
Posts: 10

PostPosted: Thu Apr 16, 2020 3:26 am    Post subject: Reply with quote

So what am I supposed to do? Should I just recompile spidermonkey with GCC or is there a certain patch I need to use? If neither, then is there a way to rid spidermonkey from the system and use polkit without it?
Back to top
View user's profile Send private message
Tentro
n00b
n00b


Joined: 24 Jan 2020
Posts: 10

PostPosted: Thu Apr 16, 2020 4:57 am    Post subject: Reply with quote

Nevermind, I just recompiled Spidermonkey with GCC and it works.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum